Retrieves the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "5c437469-8328-44d5-9a4d-2eb266ad7036",
  "article_status_id": "848e66dc-e697-456f-ad51-8887e7ccc79d",
  "article_id": "86966d70-747f-4cea-8a01-db3852b6a197",
  "article_code": "sample string 4",
  "sales_organization_id": "21e66997-425e-4511-a7eb-674d11d001b5",
  "modified_dateutc": "2026-10-28T21:49:51.652977+00:00"
}